#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import constants

### Workflows

WORKFLOW_LOAD_FASTA_GFF_JBROWSE = "load_fasta_gff_jbrowse"
WORKFLOW_BLAST = "blast"
WORKFLOW_INTERPRO = "interpro"
WORKFLOW_VALID_TYPES = [WORKFLOW_LOAD_FASTA_GFF_JBROWSE, WORKFLOW_BLAST, WORKFLOW_INTERPRO]

### Galaxy tools

ADD_ORGANISM_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/chado_organism_add_organism/organism_add_organism/"
ADD_ORGANISM_TOOL_NAME = "2.3.4+galaxy0"
ADD_ORGANISM_TOOL_ID = ADD_ORGANISM_TOOL_NAME + ADD_ORGANISM_TOOL_NAME
ADD_ORGANISM_TOOL_CHANGESET_REVISION = "1f12b9650028"

ADD_ANALYSIS_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/chado_analysis_add_analysis/analysis_add_analysis/"
ADD_ANALYSIS_TOOL_VERSION = "2.3.4+galaxy0"
ADD_ANALYSIS_TOOL_ID= ADD_ANALYSIS_TOOL_NAME + ADD_ANALYSIS_TOOL_VERSION
ADD_ANALYSIS_TOOL_CHANGESET_REVISION = "10b2b1c70e69"
ADD_ANALYSIS_TOOL_PARAM_PROGRAM = "Performed by Genoscope"
ADD_ANALYSIS_TOOL_PARAM_DATE = constants.DATA_DATE

GET_ORGANISMS_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/chado_organism_get_organisms/organism_get_organisms/"
GET_ORGANISMS_TOOL_VERSION = "2.3.4+galaxy0"
GET_ORGANISMS_TOOL_ID = GET_ORGANISMS_TOOL_NAME + GET_ORGANISMS_TOOL_VERSION
GET_ORGANISMS_TOOL_CHANGESET_REVISION = "831229e6cda2"

GET_ANALYSES_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/chado_analysis_get_analyses/analysis_get_analyses/"
GET_ANALYSES_TOOL_VERSION = "2.3.4+galaxy0"
GET_ANALYSES_TOOL_ID = GET_ANALYSES_TOOL_NAME + GET_ANALYSES_TOOL_VERSION
GET_ANALYSES_TOOL_CHANGESET_REVISION = "a867923f555e"

ANALYSIS_SYNC_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/tripal_analysis_sync/analysis_sync/"
ANALYSIS_SYNC_TOOL_VERSION = "3.2.1.0"
ANALYSIS_SYNC_TOOL_ID = ANALYSIS_SYNC_TOOL_NAME + ANALYSIS_SYNC_TOOL_VERSION
ANALYSIS_SYNC_TOOL_CHANGESET_REVISION = "f487ff676088"

ORGANISM_SYNC_TOOL_NAME = "toolshed.g2.bx.psu.edu/repos/gga/tripal_organism_sync/organism_sync/"
ORGANISM_SYNC_TOOL_VERSION = "3.2.1.0"
ORGANISM_SYNC_TOOL_ID = ORGANISM_SYNC_TOOL_NAME + ORGANISM_SYNC_TOOL_VERSION
ORGANISM_SYNC_TOOL_CHANGESET_REVISION = "afd5d92745fb"
